package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;

public class Storage {
    private String schemaVersion;
    private VirtualDisk virtualDisk;
    private PhysicalVolume physicalVolume;
    private VirtualOpticalMedia virtualOpticalMedia;

    public VirtualDisk getVirtualDisk() {
        return virtualDisk;
    }

    public void setVirtualDisk(VirtualDisk virtualDisk) {
        this.virtualDisk = virtualDisk;
    }

    /**
     * @return the physicalVolume
     */
    public PhysicalVolume getPhysicalVolume() {
        return physicalVolume;
    }

    /**
     * @param physicalVolume the physicalVolume to set
     */
    public void setPhysicalVolume(PhysicalVolume physicalVolume) {
        this.physicalVolume = physicalVolume;
    }

    public VirtualOpticalMedia getVirtualOpticalMedia() {
        return virtualOpticalMedia;
    }

    public void setVirtualOpticalMedia(VirtualOpticalMedia virtualOpticalMedia) {
        this.virtualOpticalMedia = virtualOpticalMedia;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
